Bug 1020504 - a volume is attached to two instances but the cinder list doens't show it
a volume is attached to two instances but the cinder list doens't show it
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
4.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 4.0
Assigned To: Eric Harney
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 15:25 EDT by Yogev Rabl
Modified: 2016-04-26 16:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 09:44:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the cinder logs (206 bytes, application/x-compressed-tar)
2013-10-17 15:25 EDT, Yogev Rabl
no flags Details

  None (edit)
Description Yogev Rabl 2013-10-17 15:25:18 EDT
Created attachment 813525 [details]
the cinder logs

Description of problem:
Due to an error, two instances have the same bootable volume attached to them but the cinder list show non of them.

Version-Release number of selected component (if applicable):
openstack-cinder-2013.2-0.11.rc1.el6ost.noarch

How reproducible:
an error was visible everytime this scenario was tested. 


Steps to Reproduce:
1. follow the steps in bug 1020501
2. show the list of volumes.
3.

Actual results:
once it showed that the volume was not in use. 
another time it showed it was used by only one instance.

Expected results:
The cinder list should show all the instances that the volume is attached to.

Additional info:
attached: the cinder logs.
Comment 1 Eric Harney 2013-10-17 15:38:34 EDT
(In reply to Yogev Rabl from comment #0)
> Expected results:
> The cinder list should show all the instances that the volume is attached to.
Cinder does not support attaching a single volume to multiple instances.  The root of this is a race condition or similar which should not occur.

> Additional info:
> attached: the cinder logs.
These log files have no data.  (0 bytes each)
Comment 3 Eric Harney 2013-11-13 15:41:18 EST
Need log information.

Note You need to log in before you can comment on or make changes to this bug.